{% extends 'base.html.twig' %}



{% block title %}
Hey ! That's {{person.name}}
{% endblock %}

{% block body %}
<div class="col-md-6 offset-md-3">

  <div class="card">
    <img class="card-img-top"
      src="https://previews.123rf.com/images/gstockstudio/gstockstudio1502/gstockstudio150200424/36811165-choosing-the-best-ingredient-for-his-meal-thoughtful-young-african-chef-in-white-uniform-holding-bro.jpg"
      alt="Card image cap">
    <div class="card-body">
      <h5 class="card-title">{{person.name}} {{person.surname}}</h5>
      <p class="card-text">Né le {{person.birthdate|date('Y-m-d')}}</p>
      <ol>
        {% for row in person.cars %}
        <a href="{{path("display_car", {'car' : row.id})}}">
          <li style="color: {{row.color}}">{{row.model}} - {{row.sourcePower}}</li>
        </a>
        {% endfor %}
        <li>
          <a href="{{path("add_car", {'car': person.id})}}">Add Car</a>
        </li>
      </ol>
    </div>
    <div class="card-footer text-muted">
      <div class="text-center">
        <div class="btn-group mb-2" role="group">
          <a class="btn btn-warning" href="{{path('add_person', { 'person': person.id })}}">Update profile</a>
          <a class="btn btn-danger" href="{{path('delete_person', { 'person': person.id })}}">Delete profile</a>
        </div>
      </div>
      <a class="btn btn-outline-secondary btn-block" href="{{path('home')}}" role="button">Revenir à l'accueil</a>
    </div>
  </div>
</div>
{% endblock %}